BizKitHub
DocsAPI ReferenceTranslate/bff/translate/text
postTranslateAdmin BFF

/bff/translate/text

Translates the given text to the target locale using AI. Source locale is auto-detected if not provided. Token usage is tracked per organisation.

TranslatepostBffTranslateText

Parameters

JSON body

Request body

application/json
textstringRequired

The text to translate.

ExampleDobrý den
targetLocalestringRequired

Target locale code (e.g. "en", "de", "cs").

Exampleen
sourceLocalestringOptional

Source locale code. If omitted, the language is auto-detected.

Examplecs

Response schema

1 status code documented

200Success
translatedstringRequired

The translated text

Response example

application/json
{
  "translated": "example_translated"
}

Request example

POST /bff/translate/text

post
curl -X POST "https://api.bizkithub.com/bff/translate/text" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "text": "Dobrý den",
  "targetLocale": "en",
  "sourceLocale": "cs"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key